/**
 * オブジェクト指向によるじゃんけんプログラム.
 * 継承を利用してプレイヤーの手の出し方を変更したバージョン
 * @author 教科書
 * @version 4章
 */
public class ObjectJanken
{
  public static void main(String[] args)
  {
	// 審判のインスタンス生成
	Judge judge = new Judge();
    
	// プレイヤー1(村田さん)の生成
	Player murata = new Murata("Murata");
    
	// プレイヤー2(山田さん)の生成
	Player yamada = new Yamada("Yamada");
    
	// 村田さんと山田さんをプレイヤーとしてジャンケンを開始する
	judge.startJanken(murata, yamada);
  }
}
